package com.qmth.teachcloud.report.business.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class PaperConfigDto implements Serializable {

    @ExcelNote(value = "试卷编号")
    @NotNull
    private String paperType;

    @ExcelNote(value = "是否赋分")
    @NotNull
    private String isAssigned;

    @ExcelNote(value = "赋分系数")
    private Object coefficient;

    @ExcelNote(value = "及格分")
    @NotNull
    private String passScore;

    @ExcelNote(value = "满分")
    @NotNull
    private String fullScore;

    @ExcelNote(value = "科目名称")
    @NotNull
    private String courseName;

    @ExcelNote(value = "科目代码")
    @NotNull
    private String courseCode;

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getIsAssigned() {
        return isAssigned;
    }

    public void setIsAssigned(String isAssigned) {
        this.isAssigned = isAssigned;
    }

    public Object getCoefficient() {
        return coefficient;
    }

    public void setCoefficient(Object coefficient) {
        this.coefficient = coefficient;
    }

    public String getPassScore() {
        return passScore;
    }

    public void setPassScore(String passScore) {
        this.passScore = passScore;
    }

    public String getFullScore() {
        return fullScore;
    }

    public void setFullScore(String fullScore) {
        this.fullScore = fullScore;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }
}
